<?php 
require_once "../modelos/Tipoarticulo.php";

$tipoarticulo	=	new Tipoarticulo();

$idtipoarticulo	        =	isset($_POST["idtipoarticulo"])? limpiarCadena($_POST["idtipoarticulo"]):"";
$nombre					=	isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$descripcion			=	isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$codigotipoarticulo		=	isset($_POST["codigotipoarticulo"])? limpiarCadena($_POST["codigotipoarticulo"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
	if (empty($idtipoarticulo)) {
		$rspta=$tipoarticulo->insertar($nombre,$descripcion,$codigotipoarticulo);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$tipoarticulo->editar($idtipoarticulo,$nombre,$descripcion,$codigotipoarticulo);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
	break;
	

	case 'desactivar':
		$rspta=$tipoarticulo->desactivar($idtipoarticulo);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;
	case 'activar':
		$rspta=$tipoarticulo->activar($idtipoarticulo);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$tipoarticulo->mostrar($idtipoarticulo);
		echo json_encode($rspta);
	break;

    case 'listar':
		$rspta=$tipoarticulo->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idtipoarticulo.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idtipoarticulo.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idtipoarticulo.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idtipoarticulo.')">
						<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
			"2"=>$reg->descripcion,
			"3"=>$reg->codigotipoarticulo,
            "4"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>